<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getOwnedSourceFiles](./bitburner.singularity.getownedsourcefiles.md)

## Singularity.getOwnedSourceFiles() method

Get a list of acquired Source-Files.

**Signature:**

```typescript
getOwnedSourceFiles(): SourceFileLvl[];
```
**Returns:**

[SourceFileLvl](./bitburner.sourcefilelvl.md)<!-- -->\[\]

Array containing an object with number and level of the source file.

## Remarks

RAM cost: 5 GB

Returns an array of source files. This function takes BitNode options into account.

For example, let's say you have SF 1.3, but you overrode the active level of SF1 and set it to level 1. In this case, this function returns {<!-- -->"n":1,"lvl":1<!-- -->}<!-- -->.

If the active level of a source file is 0, that source file won't be included in the result.

